Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 659927 - [abrt] inkscape-0.48.0-1.fc14.3: bool: Process /usr/bin/inkscape was killed by signal 11 (SIGSEGV)
Summary: [abrt] inkscape-0.48.0-1.fc14.3: bool: Process /usr/bin/inkscape was killed b...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: inkscape
Version: 14
Hardware: i686
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:4d6246ecc173dae24341cbff44e...
: 645304 663534 674928 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-04 07:58 UTC by Dave Jeffery
Modified: 2012-08-16 18:55 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 18:55:21 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (26.18 KB, text/plain)
2010-12-04 07:58 UTC, Dave Jeffery
no flags Details

Description Dave Jeffery 2010-12-04 07:58:45 UTC
abrt version: 1.1.14
architecture: i686
Attached file: backtrace
cmdline: inkscape
component: inkscape
crash_function: bool
executable: /usr/bin/inkscape
kernel: 2.6.35.6-48.fc14.i686
package: inkscape-0.48.0-1.fc14.3
rating: 4
reason: Process /usr/bin/inkscape was killed by signal 11 (SIGSEGV)
release: Fedora release 14 (Laughlin)
time: 1291449421
uid: 500

How to reproduce
-----
1. Created a line with two nodes
2. Adjusted curvature of line with node tool using bezier handles
3. Crash

Comment 1 Dave Jeffery 2010-12-04 07:58:49 UTC
Created attachment 464712 [details]
File: backtrace

Comment 2 Andrew Manson 2011-01-11 16:01:19 UTC
Package: inkscape-0.48.0-1.fc14.3
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Open an existing Inkscape drawing (seems to be spicific to my drawing as I cannot recreate a drawing that makes this crash
2. click on a polygon that was created by converting a square to a path 
3. click on the bottom left point then click "make selected nodes corner" 
4. click the edge connected to the point from #3 on the right hand side and drag it up so that it makes a curved line
5. hit Ctrl-Z to undo the action in #4 

Crashes every time


Comment
-----
I can't make this work with any other svg file but i'm not 100% happy attaching my work so that it will be publicly accessible. I can debug it from my side if you like if you can give me guidelines of what to do.

Comment 3 Marco Nawijn 2011-01-11 19:12:06 UTC
Package: inkscape-0.48.0-1.fc14.3
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. I typed ^Z (undo) after an edit action
2. 
3.


Comment
-----
I tried to reproduce, but couldn't. In general undoing is working fine. Probably difficult to debug, but maybe the backtrace helps. Good luck, Marco

Comment 4 yoyobolo 2011-01-13 22:22:28 UTC
Package: inkscape-0.48.0-1.fc14.3
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.selection de 2 noeuds - selection of 2 nodes
2.CTRL+Z

Comment 5 yoyobolo 2011-01-14 08:26:35 UTC
Package: inkscape-0.48.0-1.fc14.3
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.selection de 2 noeuds - selection of 2 nodes
2.CTRL+Z

Comment 6 yoyobolo 2011-01-14 13:51:41 UTC
Package: inkscape-0.48.0-1.fc14.3
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.o
2.
3.

Comment 7 Laurent Forthomme 2011-01-19 20:53:19 UTC
Package: inkscape-0.48.0-1.fc14.3
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.Editing a file imported from an EPS with a bitmap in it.
2.
3.

Comment 8 Dave Jeffery 2011-01-28 06:29:43 UTC
Package: inkscape-0.48.0-1.fc14.3
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Using the node tool to edit a shape
2.
3.


Comment
-----
The node tool is broken - it's patched upstream in Inkscape 0.48.1.

Comment 9 abrt-bot 2012-03-20 18:35:22 UTC
*** Bug 663534 has been marked as a duplicate of this bug. ***

Comment 10 abrt-bot 2012-03-20 18:35:31 UTC
*** Bug 674928 has been marked as a duplicate of this bug. ***

Comment 11 abrt-bot 2012-03-21 14:42:33 UTC
*** Bug 645304 has been marked as a duplicate of this bug. ***

Comment 12 Fedora End Of Life 2012-08-16 18:55:24 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.